Subject: Re: [Bitcoin-development] The legal risks of auto-updating wallet software; custodial relationships

From: Justus Ranvier <[email-masked]>
Date: Tue, 20 Jan 2015 11:47:23 -0600

On 01/20/2015 03:46 PM, Peter Todd wrote:
> But ultimately we're not going to know until court cases start 
> happening. In the meantime probably the best advice - other than
> getting out of the wallet business! - is to do everything you can
> to prevent losses through malicious auto-updates. Create systems
> where as many people as possible have to sign off and review an
> update before it has the opportunity to spend user funds. Not
> having auto-updates at all is a (legally) safe way to achieve that
> goal; if you do have them make sure the process by which an update
> happens is controlled by more than one person and there are
> mechanisms in place to create good audit logs of how exactly an
> update happened.
> 
> Finally keep in mind that one of the consequences of a custodial 
> relationship is that some legal authority might try to *force* you
> to seize user funds. StrongCoin made it 100% clear to authorities
> that they and sites like them are able to seize funds at will - I
> won't be surprised if authorities use that power in the future. The
> more automatic and less transparent an update is, the higher the
> chance some authority will lean on you to seize funds. So don't
> make it easy for yourself to meet those demands.

One suggestion you didn't mention was jurisdictional arbitrage - don't
be located in the same country as the majority of your users.

Or, from the other perspective, users should be strongly encouraged to
get their wallet software from companies/organizations not located in
the same country as them.

- -- 
Justus Ranvier                   | Monetas <http://monetas.net/>
<mailto:[email-masked]>      | Public key ID : C3F7BB2638450DB5
                                 | BM-2cTepVtZ6AyJAs2Y8LpcvZB8KbdaWLwKqc